> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/collect-data/tracking-plan/subscription-created.md).

# Subscription Created

Subscription has been purchased.

**Suggested source:** server

**Properties**

| Name                 | Type       | Description                                                                                           | Required |
| -------------------- | ---------- | ----------------------------------------------------------------------------------------------------- | -------- |
| **actionable\_date** | `string`   | <p>Next date when this subscription will be actionable (renewed, expired, etc.)<br></p>               | no       |
| **address**          | `object`   | <p>Shipping address for the subscription<br></p>                                                      | no       |
| **brand**            | `string`   | <p>Brand associated with the subscription<br></p>                                                     | no       |
| **currency**         | `string`   | <p>Currency code of the transaction (for example, "USD")<br>Pattern: <code>^\[A-Z]{3}$</code><br></p> | no       |
| **email**            | `string`   | <p>Email address associated with the subscription<br></p>                                             | no       |
| **end\_date**        | `string`   | <p>Subscription will stop auto-renewing after this date<br></p>                                       | no       |
| **interval\_length** | `integer`  | <p>Interval number at which the subscription renews<br></p>                                           | no       |
| **interval\_units**  | `string`   | <p>Interval unit at which the subscription renews (for example, "month")<br></p>                      | no       |
| **products**         | `object[]` | <p>Products in the subscription<br></p>                                                               | no       |
| **state**            | `string`   | <p>The state of the subscription (for example, "active")<br></p>                                      | no       |
| **subscription\_id** | `string`   | <p>ID of the subscription<br></p>                                                                     | no       |

**Example**

```json
{
    "actionable_date": "2024-04-01",
    "address": {
        "address1": "123 Elm Street",
        "address2": "Suite 456",
        "city": "Springfield",
        "company": "Acme Corp",
        "country": "USA",
        "name": "John Doe",
        "phone": "555-1234",
        "state": "IL",
        "zipcode": "62704"
    },
    "brand": "Green Thumb Nurseries",
    "currency": "USD",
    "email": "subscriber@example.com",
    "end_date": "2025-04-01",
    "interval_length": 1,
    "interval_units": "month",
    "products": [
        {
            "affiliation": "My Plant Store",
            "brand": "Green Thumb Nurseries",
            "bundle": false,
            "category": "Outdoor Plants",
            "coupon": "SPRING",
            "description": "A vibrant, easy-to-care-for garden plant perfect for adding a splash of color to any outdoor space.",
            "image_url": "https://example.com/images/petunia.jpg",
            "line_item_id": "234567891",
            "name": "Petunia",
            "option_values": [
                "Purple",
                "Red",
                "White"
            ],
            "parts": [
                {
                    "name": "Purple Petunias",
                    "options_text": "Purple"
                },
                {
                    "name": "Pink Petunias",
                    "options_text": "Pink"
                }
            ],
            "position": 3,
            "price": 7.99,
            "product_id": "123456789",
            "quantity": 2,
            "sku": "PETUNIA-001",
            "slug": "petunia",
            "url": "https://example.com/plants/petunia",
            "variant": "Purple"
        }
    ],
    "state": "active",
    "subscription_id": "SUB-123456789"
}
```

## address object

Shipping address for the subscription

**Properties**

| Name         | Type     | Description                        | Required |
| ------------ | -------- | ---------------------------------- | -------- |
| **address1** | `string` | <p>Street address (line 1)<br></p> |          |
| **address2** | `string` | <p>Street address (line 2)<br></p> |          |
| **city**     | `string` | <p>City<br></p>                    |          |
| **company**  | `string` | <p>Company<br></p>                 |          |
| **country**  | `string` | <p>Country<br></p>                 |          |
| **name**     | `string` | <p>Name<br></p>                    |          |
| **phone**    | `string` | <p>Phone number<br></p>            |          |
| **state**    | `string` | <p>State<br></p>                   |          |
| **zipcode**  | `string` | <p>Zipcode<br></p>                 |          |

**Example**

```json
{
    "address1": "123 Elm Street",
    "address2": "Suite 456",
    "city": "Springfield",
    "company": "Acme Corp",
    "country": "USA",
    "name": "John Doe",
    "phone": "555-1234",
    "state": "IL",
    "zipcode": "62704"
}
```

## products\[] array

Products in the subscription

The product

**Item Properties**

| Name               | Type       | Description                                                                                                                      | Required |
| ------------------ | ---------- | -------------------------------------------------------------------------------------------------------------------------------- | -------- |
| **affiliation**    | `string`   | <p>Product affiliation to designate a supplying company or brick and mortar store location (for example, "Google Store")<br></p> | no       |
| **brand**          | `string`   | <p>Brand associated with the product<br></p>                                                                                     | no       |
| **bundle**         | `boolean`  | <p>Product belongs to a bundle<br></p>                                                                                           | no       |
| **category**       | `string`   | <p>Product category<br></p>                                                                                                      | no       |
| **coupon**         | `string`   | <p>Coupon code associated with a product (for example, "MAY\_DEALS\_3")<br></p>                                                  | no       |
| **description**    | `string`   | <p>Short description of the product<br></p>                                                                                      | no       |
| **image\_url**     | `string`   | <p>Image URL of the product<br></p>                                                                                              | no       |
| **name**           | `string`   | <p>Name of the product<br></p>                                                                                                   | no       |
| **option\_values** | `string[]` | <p>Option values of the product variant<br></p>                                                                                  | no       |
| **position**       | `integer`  | <p>Position in the product list (for example, 3)<br></p>                                                                         | no       |
| **price**          | `number`   | <p>Price ($) of the product<br></p>                                                                                              | no       |
| **product\_id**    | `string`   | <p>Database ID of the product<br></p>                                                                                            | no       |
| **quantity**       | `integer`  | <p>Quantity of the product<br></p>                                                                                               | no       |
| **sku**            | `string`   | <p>SKU of the product variant<br></p>                                                                                            | no       |
| **slug**           | `string`   | <p>Slug of the product, often used in URLs (for example, "product-red")<br></p>                                                  | no       |
| **url**            | `string`   | <p>URL of the product page<br></p>                                                                                               | no       |
| **variant**        | `string`   | <p>Name of the product variant<br></p>                                                                                           | no       |
| **line\_item\_id** | `string`   | <p>Database ID of the line item<br></p>                                                                                          | no       |
| **parts**          | `object[]` | <p>If the product is an assortment, the assortment parts<br></p>                                                                 | no       |

**Example**

```json
[
    {
        "affiliation": "My Plant Store",
        "brand": "Green Thumb Nurseries",
        "bundle": false,
        "category": "Outdoor Plants",
        "description": "A vibrant, easy-to-care-for garden plant perfect for adding a splash of color to any outdoor space.",
        "image_url": "https://example.com/images/petunia.jpg",
        "name": "Petunia",
        "option_values": [
            "Purple",
            "Red",
            "White"
        ],
        "position": 3,
        "price": 7.99,
        "product_id": "123456789",
        "sku": "PETUNIA-001",
        "slug": "petunia",
        "url": "https://example.com/plants/petunia",
        "variant": "Purple",
        "coupon": "SPRING",
        "line_item_id": "234567891",
        "quantity": 2
    }
]
```

### products\[].option\_values\[] array

Option values of the product variant

Option value (for example, "red")

**Item Type:** `string`\
**Example**

```json
[
    "Purple"
]
```

### products\[].parts\[] array

If the product is an assortment, the assortment parts

Part

**Item Properties**

| Name              | Type     | Description                             | Required |
| ----------------- | -------- | --------------------------------------- | -------- |
| **name**          | `string` | <p>Assortment part name<br></p>         |          |
| **options\_text** | `string` | <p>Assortment part options text<br></p> |          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/collect-data/tracking-plan/subscription-created.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
